

/****** Object:  Table [dbo].[Calendar]    Script Date: 10/6/2005 2:34:44 PM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Calendar]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[Calendar]
GO

/****** Object:  Table [dbo].[CalendarItems]    Script Date: 10/6/2005 2:34:44 PM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[CalendarItems]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[CalendarItems]
GO

/****** Object:  Table [dbo].[CalendarSecurity]    Script Date: 10/6/2005 2:34:44 PM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[CalendarSecurity]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[CalendarSecurity]
GO

/****** Object:  Table [dbo].[UserTable]    Script Date: 10/6/2005 2:34:44 PM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[UserTable]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[UserTable]
GO

/****** Object:  Table [dbo].[CalendarRegKey]    Script Date: 10/30/2005 10:01:36 PM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[CalendarRegKey]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[CalendarRegKey]
GO

/****** Object:  Table [dbo].[Calendar]    Script Date: 10/6/2005 2:34:44 PM ******/
CREATE TABLE [dbo].[Calendar] (
	[CalendarID] [int] IDENTITY (1, 1) NOT NULL ,
	[CalendarName] [varchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[CalendarType] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[Active] [bit] NULL ,
	[CreateDate] [datetime] NULL ,
	[CreatedBy] [varchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[LastUpdate] [datetime] NULL ,
	[UserID] [int] NULL 
) ON [PRIMARY]
GO

/****** Object:  Table [dbo].[CalendarItems]    Script Date: 10/6/2005 2:34:44 PM ******/
CREATE TABLE [dbo].[CalendarItems] (
	[ItemID] [int] IDENTITY (1, 1) NOT NULL ,
	[CalendarID] [int] NULL ,
	[ItemName] [varchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ItemDescription] [nvarchar] (1600) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ItemDate] [datetime] NULL ,
	[ItemTime] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ItemImportance] [int] NULL ,
	[CreateDate] [datetime] NULL ,
	[UserID] [int] NULL ,
	[Active] [int] NULL 
) ON [PRIMARY]
GO

/****** Object:  Table [dbo].[CalendarSecurity]    Script Date: 10/6/2005 2:34:44 PM ******/
CREATE TABLE [dbo].[CalendarSecurity] (
	[CalendarSecurityID] [int] IDENTITY (1, 1) NOT NULL ,
	[LoginRequired] [bit] NULL 
) ON [PRIMARY]
GO

/****** Object:  Table [dbo].[UserTable]    Script Date: 10/6/2005 2:34:44 PM ******/
CREATE TABLE [dbo].[UserTable] (
	[UserID] [int] IDENTITY (1, 1) NOT NULL ,
	[EmailAddress] [varchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[Password] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[FirstName] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[LastName] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[Administrator] [bit] NULL ,
	[ContactNewItems] [int] NULL ,
	[Active] [bit] NULL ,
	[CreateDate] [datetime] NULL ,
	[MasterAdmin] [bit] NULL 
) ON [PRIMARY]
GO

ALTER TABLE [dbo].[Calendar] WITH NOCHECK ADD 
	CONSTRAINT [DF_Calendar_Active] DEFAULT (1) FOR [Active],
	CONSTRAINT [DF_Calendar_CreateDate] DEFAULT (getdate()) FOR [CreateDate],
	CONSTRAINT [DF_Calendar_UserID] DEFAULT (0) FOR [UserID],
	CONSTRAINT [PK_Calendar] PRIMARY KEY  CLUSTERED 
	(
		[CalendarID]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[CalendarItems] WITH NOCHECK ADD 
	CONSTRAINT [DF_CalendarItems_CreateDate] DEFAULT (getdate()) FOR [CreateDate],
	CONSTRAINT [DF_CalendarItems_UserID] DEFAULT (0) FOR [UserID],
	CONSTRAINT [DF_CalendarItems_Active] DEFAULT (1) FOR [Active],
	CONSTRAINT [PK_CalendarItems] PRIMARY KEY  CLUSTERED 
	(
		[ItemID]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[CalendarSecurity] WITH NOCHECK ADD 
	CONSTRAINT [DF_CalendarSecurity_LoginRequired] DEFAULT (0) FOR [LoginRequired]
GO

ALTER TABLE [dbo].[UserTable] WITH NOCHECK ADD 
	CONSTRAINT [DF_UserTable_Administrator] DEFAULT (0) FOR [Administrator],
	CONSTRAINT [DF_UserTable_ContactNewItems] DEFAULT (0) FOR [ContactNewItems],
	CONSTRAINT [DF_UserTable_Active] DEFAULT (1) FOR [Active],
	CONSTRAINT [DF_UserTable_CreateDate] DEFAULT (getdate()) FOR [CreateDate],
	CONSTRAINT [DF_UserTable_MasterAdmin] DEFAULT (0) FOR [MasterAdmin],
	CONSTRAINT [PK_UserTable] PRIMARY KEY  CLUSTERED 
	(
		[UserID]
	)  ON [PRIMARY] 
GO




/****** Object:  Table [dbo].[CalendarRegKey]    Script Date: 10/30/2005 10:01:37 PM ******/
CREATE TABLE [dbo].[CalendarRegKey] (
	[CalendarRgID] [int] IDENTITY (1, 1) NOT NULL ,
	[RegKey] [varchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL 
) ON [PRIMARY]
GO





--////////////////////////////////////////////////////////////
--////        Default DB User Creation  //////////////////////



INSERT INTO UserTable
                      (EmailAddress, Password, FirstName, LastName, Administrator, ContactNewItems, Active, MasterAdmin)
VALUES     ('Admin', 'Password', 'Master', 'Admin', 1, 0, 1, 1)



--////        Default DB User Creation  //////////////////////
--////////////////////////////////////////////////////////////





--////////////////////////////////////////////////////////////
--////        Calendar Creation Code  ////////////////////////


INSERT INTO Calendar
                        (CalendarName, CalendarType, Active, UserID, CreatedBy)
VALUES     ('Company Calendar', 'public', 1, 1, 'Master Admin')



INSERT INTO Calendar
                       (CalendarName, CalendarType, Active, UserID, CreatedBy)
VALUES     ('Personal Calendar', 'private', 1, 1, 'Master Admin')


INSERT INTO Calendar
                       (CalendarName, CalendarType, Active, UserID, CreatedBy)
VALUES     ('Web Calendar', 'web', 1, 1, 'Master Admin')


--////        Calendar Creation Code  ////////////////////////
--////////////////////////////////////////////////////////////


--////////////////////////////////////////////////////////////
--////        Calendar Security Default Code  ////////////////////////


INSERT INTO CalendarSecurity
                      (LoginRequired)
VALUES     (0)

--////        Calendar Security Code  ////////////////////////
--////////////////////////////////////////////////////////////


--////////////////////////////////////////////////////////////
--////        Calendar RegKey Default Code  ////////////////////////


INSERT INTO CalendarRegKey
                      (RegKey)
VALUES     ('Unregistered')

--////        Calendar Security Code  ////////////////////////
--////////////////////////////////////////////////////////////

